Name: emu10k1-tools
Version: 0.20
Release: alt1

Summary: Some useful tools for sound cards with emu10k1 chip
Group: System/Base
License: GPL

Epoch: 20040507

Source0: emu10k1-v0.20a.tar.bz2

Patch0: emu10k1-aumix.patch
Patch1: emu10k1-v0.20a-alt-compilefix.patch
Patch2: emu10k1-v0.20a-alt-scripts.patch

BuildRequires: kernel-headers-std-up

%description
Some useful tools for sound cards with emu10k1 chip

%prep
%setup -q -n emu10k1-v0.20a
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
pushd utils
    %__make clean
    %__make CFLAGS="$RPM_OPT_FLAGS"
popd
pushd utils/dbgemu
    %__make clean
    %__cc -o dbgemu $RPM_OPT_FLAGS dbgemu.c
popd

%install
pushd utils
    %__make prefix=%buildroot/usr man_prefix=%buildroot/%_mandir script_dir=%buildroot/%_sysconfdir install
    %__mv %buildroot/etc/emu-script %buildroot/%_bindir
    %__install -p -m755 play-ac3/play-{ac3,raw} %buildroot/%_bindir
popd
pushd utils/dbgemu
    %__install -p -m755 dbgemu %buildroot/%_bindir
popd

%__mv %buildroot/%_sysconfdir/audigy-script %buildroot/%_bindir

# install docs
%__mkdir_p %buildroot/%_docdir/%name-%version
%__install -m644 \
 docs/README docs/README-TOOLS docs/README.FAQ \
 docs/applications.txt docs/audigy.txt docs/debugging.txt docs/dsp.txt \
 docs/manuals.txt docs/multichannel.txt docs/registers.txt docs/tram.txt \
  %buildroot/%_docdir/%name-%version

%__install -m644 utils/as10k1/README %buildroot/%_docdir/%name-%version/README.as10k1
%__install -m644 utils/mixer/doc/README %buildroot/%_docdir/%name-%version/README.dsp
%__install -m644 utils/play-ac3/README %buildroot/%_docdir/%name-%version/README.play-ac3


%files
%dir %_datadir/emu10k1
%_datadir/emu10k1/*
%_mandir/man1/as10k1.1*
%_mandir/man1/emu-*
%_bindir/as10k1
%_bindir/dbgemu
%_bindir/play-*
%_bindir/emu-*
%_bindir/audigy-script
%config %_sysconfdir/emu10k1.conf
%dir %_docdir/%name-%version
%_docdir/%name-%version/*

%changelog
* Fri May 07 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 20040507:0.20-alt1
- new version -- 0.20a
- fix bug #984

* Tue Sep 09 2003 Rider <rider@altlinux.ru> 20021121-alt2
- fixed build requires 

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 20021121-alt1
- 20021121

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 20021024-alt1
- 20021024
- Rebuilt in new environment

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020605-alt1
- 20020605

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020331-alt1
- 20020331

* Mon Mar 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020317-alt1
- 20020317

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020219-alt1
- 20020219

* Mon Jan 14 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020112-alt1
- 20020112

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011214-alt1
- 20011214

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011119-alt1
- 20011119

* Fri Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011030-alt1
- 20011030

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011007-alt1
- First build for Sisyphus
